## MyApp MyApp — My App - devhelp test. |

## Functions

void | myapp_init ()

## Functions

### myapp_init ()

    void
    myapp_init (int *argc,
              char **argv[]);

Initializes the MyApp application, setting up internal path lists, registering built-in elements, and loading standard plugins.

Unless the plugin registry is disabled at compile time, the registry will be loaded. By default this will also check if the registry cache needs to be updated and rescan all plugins if needed.

See "Running MyApp Applications

for how to disable automatic updates.

This function will terminate your program if it was unable to initialize myApp for some reason. If you want your program to fall back, use `myapp_init_check()` instead.

WARNING: This function does not work in the same way as corresponding functions in other libraries, such as `otherapp_init()`. In particular, unknown command line options cause this function to abort program execution.

#### Parameters

argc | pointer to application's argc.
argv | pointer to application's argv.

### myapp_init_check ()

    mboolean
    myapp_init_check (int *argc,
                    char **argv[],
                    MError **err);

Initializes the MyApp application and performs a check.

This function will return `FALSE` if MyApp could not be initialized for some reason. If you want your program to fail fatally, use `myapp_init()` instead.

#### Parameters

argc | pointer to application's argc.
argv | pointer to application's argv.
err | pointer to a MError to which a message will be posted on error

#### Returns

`TRUE` if MyApp could be initialized.

### enum MyAppEnum

Flags for myapp.

#### Members

MY_APP_MACRO | Special flag.